package com.ruoyi.common.pay.ali.enums;

import com.ruoyi.common.utils.collection.CollectionUtils;
import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.List;

/**
 * @author wjh
 * 2024/12/11
 */
@Getter
@AllArgsConstructor
public enum AliTransferStatus {

    SUCCESS("SUCCESS", "成功"),
    FAIL("FAIL", "失败"),
    DEALING("DEALING", "处理中"),
    REFUND("REFUND", "已退票");

    private final String status;
    private final String msg;

    // 成功的列表
    public static List<String> successList() {
        return CollectionUtils.map(AliTransferStatus::getStatus, SUCCESS);
    }

    // 失败的列表
    public static List<String> failList() {
        return CollectionUtils.map(AliTransferStatus::getStatus, FAIL, REFUND);
    }

}
